Retrain a single URL source
curl --request POST \
--url https://api.getfernand.com/organization/rag/sources/{uuid}/retrain \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getfernand.com/organization/rag/sources/{uuid}/retrain"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getfernand.com/organization/rag/sources/{uuid}/retrain', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getfernand.com/organization/rag/sources/{uuid}/retrain"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.getfernand.com/organization/rag/sources/{uuid}/retrain");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);HttpResponse<String> response = Unirest.post("https://api.getfernand.com/organization/rag/sources/{uuid}/retrain")
.header("X-API-Key", "<api-key>")
.asString();{}{
"error": "Only URLs can be refreshed"
}Retrain a single URL source
POST
/
organization
/
rag
/
sources
/
{uuid}
/
retrain
Retrain a single URL source
Refreshes a URL source by re-fetching its content from the web. Only works for URL sources and prevents retraining if the source was updated in the last 5 minutes.
Authorizations
Path Parameters
UUID of the URL source to retrain.
Response
Source queued for retraining.
The response is of type object.
Was this page helpful?
⌘I